Data Structures | Typedefs | Functions | Variables

# dmxfont.h File Reference

`#include <X11/fonts/fontstruct.h>`

Go to the source code of this file.

## Data Structures
struct | _dmxFontPriv
## Typedefs
typedef struct _dmxFontPriv | dmxFontPrivRec
typedef struct _dmxFontPriv * | dmxFontPrivPtr
## Functions
void | dmxInitFonts (void)
void | dmxResetFonts (void)
Bool | dmxRealizeFont (ScreenPtr pScreen, FontPtr pFont)
Bool | dmxUnrealizeFont (ScreenPtr pScreen, FontPtr pFont)
Bool | dmxBELoadFont (ScreenPtr pScreen, FontPtr pFont)
Bool | dmxBEFreeFont (ScreenPtr pScreen, FontPtr pFont)
## Variables
int | dmxFontPrivateIndex

## Detailed Description

Interface for font-related functions.

See also:
  dmxfont.c

## Typedef Documentation

typedef struct _dmxFontPriv * dmxFontPrivPtr

typedef struct _dmxFontPriv dmxFontPrivRec

Font private area.

## Function Documentation

Bool dmxBEFreeFont | ( | ScreenPtr | pScreen,
|  | FontPtr | pFont |
| ) |  |  |

Free pFont on the back-end associated with pScreen.

References _DMXScreenInfo::beDisplay, dmxFontPrivateIndex, dmxScreens, and _dmxFontPriv::font.

Referenced by dmxBEDestroyResources(), and dmxUnrealizeFont().

Bool dmxBELoadFont | ( | ScreenPtr | pScreen,
|  | FontPtr | pFont |
| ) |  |  |

Load the font, pFont, on the back-end server associated with pScreen. When a font is loaded, the font path on back-end server is first initialized to that specified on the command line with the -fontpath options, and then the font is loaded.

References _DMXScreenInfo::beDisplay, dmxCheckFontPathElement(), dmxError, dmxFontPath, dmxFontPrivateIndex, dmxFreeFontPath(), dmxGetFontPath(), dmxIgnoreBadFontPaths, dmxLog(), dmxScreens, dmxSetFontPath(), dmxSync(), dmxWarning, and _dmxFontPriv::font.

Referenced by dmxAttachScreen(), dmxBECreateResources(), and dmxRealizeFont().

void dmxInitFonts | ( | void |  | ) |

Initialize font support. In addition to the screen function call pointers, DMX also hooks in at the ProcVector[] level. Here the old ProcVector function pointers are saved and the new ProcVector function pointers are initialized.

References dmxSaveProcVector.

Referenced by InitOutput().

Bool dmxRealizeFont | ( | ScreenPtr | pScreen,
|  | FontPtr | pFont |
| ) |  |  |

Realize the font, pFont, on the back-end server associated with pScreen.

References _DMXScreenInfo::beDisplay, dmxBELoadFont(), dmxFontPrivateIndex, dmxScreens, _dmxFontPriv::font, and _dmxFontPriv::refcnt.

Referenced by dmxScreenInit().

void dmxResetFonts | ( | void |  | ) |

Reset font support by restoring the original ProcVector function pointers.

References dmxSaveProcVector.

Referenced by dmxCloseScreen().

Bool dmxUnrealizeFont | ( | ScreenPtr | pScreen,
|  | FontPtr | pFont |
| ) |  |  |

Unrealize the font, pFont, on the back-end server associated with pScreen.

References _DMXScreenInfo::beDisplay, dmxBEFreeFont(), dmxFontPrivateIndex, dmxScreens, _dmxFontPriv::font, and _dmxFontPriv::refcnt.

Referenced by dmxScreenInit().

## Variable Documentation

int dmxFontPrivateIndex

Private index for Fonts